## ros-humble-sick-safetyscanners2 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(sick_safetyscanners2)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(Boost REQUIRED COMPONENTS chrono)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(sick_safetyscanners_base REQUIRED)
find_package(sick_safetyscanners2_interfaces REQUIRED)

set(dependencies
  rclcpp
  rclcpp_lifecycle 
  lifecycle_msgs 
  sensor_msgs
  sick_safetyscanners_base
  sick_safetyscanners2_interfaces
  )

add_executable(sick_safetyscanners2_node 
  src/sick_safetyscanners2_node.cpp
  src/SickSafetyscannersRos2.cpp
  src/utils/MessageCreator.cpp)

target_link_libraries(sick_safetyscanners2_node 
  sick_safetyscanners_base::sick_safetyscanners_base
  ${Boost_LIBRARIES})

ament_target_dependencies(sick_safetyscanners2_node ${dependencies})

target_include_directories(sick_safetyscanners2_node PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

  add_executable(sick_safetyscanners2_lifecycle_node 
  src/sick_safetyscanners2_lifecycle_node.cpp
  src/SickSafetyscannersLifeCycle.cpp
  src/utils/MessageCreator.cpp)

target_link_libraries(sick_safetyscanners2_lifecycle_node 
  sick_safetyscanners_base::sick_safetyscanners_base
  ${Boost_LIBRARIES})

ament_target_dependencies(sick_safetyscanners2_lifecycle_node ${dependencies})

target_include_directories(sick_safetyscanners2_lifecycle_node PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

install(DIRECTORY
launch
DESTINATION share/${PROJECT_NAME}/
)

install(TARGETS sick_safetyscanners2_node
  EXPORT export_${PROJECT_NAME}
  DESTINATION lib/${PROJECT_NAME})

install(TARGETS sick_safetyscanners2_lifecycle_node
  EXPORT export_${PROJECT_NAME}
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

#TODO lookup what this does
# For message creation,if used in this message
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-humble-sick-safetyscanners2 (1.0.3-1jammy) jammy; urgency=high

  * Fixes unsafe pointer access in UDP callback
  * Implement lifecycle node
  * Added functionality to allow multicast
  * set not using the default sick angles as default
  * moved changeSensor settings to be always be invoked
  * fixed typo in launch file
  * Contributors: Brice, Erwin Lejeune, Soma Gallai, Lennart Puck, Tanmay

 -- Lennart Puck <puck@fzi.de>  Tue, 21 Dec 2021 23:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.2-1jammy) jammy; urgency=high

  * added missing dependencies to package xml
  * Contributors: Lennart Puck

 -- Lennart Puck <puck@fzi.de>  Sun, 14 Mar 2021 23:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.1-1jammy) jammy; urgency=high

  * changed the parameter callback interface so its only triggered
    when the parameters of this node are called
  * Contributors: Lennart Puck

 -- Lennart Puck <puck@fzi.de>  Thu, 04 Mar 2021 23:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.0-1jammy) jammy; urgency=high

  * Initial Release

 -- Lennart Puck <puck@fzi.de>  Sun, 10 Jan 2021 23:00:00 -0000

=== debian/control ===
Source: ros-humble-sick-safetyscanners2
Section: misc
Priority: optional
Maintainer: Lennart Puck <puck@fzi.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-sensor-msgs, ros-humble-sick-safetyscanners-base, ros-humble-sick-safetyscanners2-interfaces, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-sick-safetyscanners2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-sensor-msgs, ros-humble-sick-safetyscanners-base, ros-humble-sick-safetyscanners2-interfaces, ros-humble-ros-workspace
Description: ROS2 Driver for the SICK safetyscanners

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-sick-safetyscanners2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-sick-safetyscanners2 1.0.4

=== debian/changelog ===
ros-humble-sick-safetyscanners2 (1.0.4-1bookworm) bookworm; urgency=high

  * possible fix for out of range
  * Add material for correct representation in Gazebo Sim.
  * Enable workin in Gazebo under humble.
  * enabled gazebo integration in urdf
  * generated description folder using RTW
  * diagnostics for lifecycle node aswell
  * refactor: combine Node and LifeCycle node implementations
  * Contributors: Dr. Denis Štogl, Lennart Puck, Nibanovic, Rein Appeldoorn

 -- Lennart Puck <puck@fzi.de>  Mon, 23 Sep 2024 16:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.3-1bookworm) bookworm; urgency=high

  * Fixes unsafe pointer access in UDP callback
  * Implement lifecycle node
  * Added functionality to allow multicast
  * set not using the default sick angles as default
  * moved changeSensor settings to be always be invoked
  * fixed typo in launch file
  * Contributors: Brice, Erwin Lejeune, Soma Gallai, Lennart Puck, Tanmay

 -- Lennart Puck <puck@fzi.de>  Tue, 21 Dec 2021 16:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.2-1bookworm) bookworm; urgency=high

  * added missing dependencies to package xml
  * Contributors: Lennart Puck

 -- Lennart Puck <puck@fzi.de>  Sun, 14 Mar 2021 16:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.1-1bookworm) bookworm; urgency=high

  * changed the parameter callback interface so its only triggered
    when the parameters of this node are called
  * Contributors: Lennart Puck

 -- Lennart Puck <puck@fzi.de>  Thu, 04 Mar 2021 16:00:00 -0000

ros-humble-sick-safetyscanners2 (1.0.0-1bookworm) bookworm; urgency=high

  * Initial Release

 -- Lennart Puck <puck@fzi.de>  Sun, 10 Jan 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-sick-safetyscanners2
Section: misc
Priority: optional
Maintainer: Lennart Puck <puck@fzi.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, liburdfdom-tools <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-diagnostic-updater, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-sensor-msgs, ros-humble-sick-safetyscanners-base, ros-humble-sick-safetyscanners2-interfaces, ros-humble-xacro <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-sick-safetyscanners2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-humble-diagnostic-updater, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-robot-state-publisher, ros-humble-rviz2, ros-humble-sensor-msgs, ros-humble-sick-safetyscanners-base, ros-humble-sick-safetyscanners2-interfaces, ros-humble-xacro, ros-humble-ros-workspace
Description: ROS2 Driver for the SICK safetyscanners

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-sick-safetyscanners2//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-sick-safetyscanners2//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-sick-safetyscanners2//opt/ros/humble/opt/sick_safetyscanners2/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
